How can we brighten your day?


Why don't you support earlier versions of Android or iOS?

We highly recommend keeping your device updated to the latest possible iOS & Android OS for the best possible results.

There are many improvements that Android and Apple makes to their operating systems in order to better support newer technologies, like Bluetooth 4.0 (Low Energy), which is the type of Bluetooth found in the ilumi smartbulbs.

Earlier versions of operating systems would not fully support the software requirements of our app, and would result in a severely unstable connection with the ilumi smartbulbs. In order to provide the best possible product, we are unable to support earlier OS versions at this time.

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request